use std::fs;

mod generator;
mod markdown;

use generator::generate;

fn main() {
    println!("[MAIN] Starting...");
    check_generated_folder();
    generate::landing_page();
    generate::sections();
    println!("[MAIN] Generation completed !");
}

fn check_generated_folder() {
    match fs::create_dir_all("./generated") {
        Ok(_) => println!("[MAIN] Folder generated created"),
        Err(error) => println!("Error creating generated folder: {}", error),
    };
}
